import { ArrayList } from '../utils';
export declare class OComponentData {
    configuredInputs: any;
    children: ArrayList<OComponentData>;
    constructor();
    getDirective(): string;
    getInputsProperties(): string[];
    getInputs(): string[];
    getTemplateInputsData(): any;
    isContainer(): boolean;
    setConfiguredInputs(data: any): void;
    getComponentAttr(): string;
    getConfiguredInputs(): any;
    getConfiguredInputValue(inputName: string): any;
    addChild(child: OComponentData): void;
    getChildren(): ArrayList<OComponentData>;
}
